%define oname kdeplasma-addons

Summary:	Plasma 5 various add-ons
Name:		plasma5-%{oname}
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		kdeplasma-addons-5.7.2-rename-translations.patch
# Avoid collisions with KDE4 library
Patch1:		kdeplasma-addons-5.3.0-plasmacomicprovidercore-soname.patch
Patch2:		kdeplasma-addons-5.6.1-weather_version.patch
Patch3:		kdeplasma-addons-5.7.2-l10n-ru.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5activities-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kross-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5purpose-devel
BuildRequires:	kf5runner-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5unitconversion-devel
BuildRequires:	plasma5-workspace-devel >= %{version}
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-keysyms)
# Must have stuff
Requires:	plasma5-applet-showdesktop
Requires:	plasma5-applet-quicklaunch
Requires:	plasma5-desktopswitcher-previews
Requires:	plasma5-windowswitcher-big_icons
Requires:	plasma5-windowswitcher-compact
Requires:	plasma5-windowswitcher-informative
Requires:	plasma5-windowswitcher-present_windows
Requires:	plasma5-windowswitcher-small_icons
Requires:	plasma5-windowswitcher-text
Requires:	plasma5-windowswitcher-thumbnails
# Optional stuff
Suggests:	plasma5-applet-activitypager
Suggests:	plasma5-applet-calculator
Suggests:	plasma5-applet-colorpicker
Suggests:	plasma5-applet-comic
Suggests:	plasma5-applet-diskquota
Suggests:	plasma5-applet-fifteenpuzzle
Suggests:	plasma5-applet-fuzzyclock
Suggests:	plasma5-applet-kickerdash
Suggests:	plasma5-applet-konsoleprofiles
Suggests:	plasma5-applet-mediaframe
Suggests:	plasma5-applet-notes
Suggests:	plasma5-applet-quickshare
Suggests:	plasma5-applet-systemloadviewer
Suggests:	plasma5-applet-timer
Suggests:	plasma5-applet-userswitcher
Suggests:	plasma5-applet-weather
Suggests:	plasma5-applet-webbrowser
# Not used by any plasmoid yet, they need porting
Suggests:	plasma5-runner-audioplayercontrol
Suggests:	plasma5-runner-converter
Suggests:	plasma5-runner-datetime
Suggests:	plasma5-runner-dictionary
Suggests:	plasma5-runner-spellchecker
# Prefer plasma5 prefix for Plasma 5 core packages
Obsoletes:	kdeplasma-addons-kf5 < 5.2.1-2

%description
Plasma 5 various add-ons.

%files

#----------------------------------------------------------------------------

%package -n plasma5-applet-activitypager
Summary:	Plasma 5 activity pager plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-activitypager
Plasma 5 activity pager plasmoid.

%files -n plasma5-applet-activitypager -f plasma_applet_org.kde.plasma.activitypager.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.activitypager/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.activitypager/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/activitypager/
%{_kde5_qmldir}/org/kde/plasma/private/activitypager/*
%{_kde5_services}/plasma-applet-org.kde.plasma.activitypager.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-calculator
Summary:	Plasma 5 calculator plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-calculator
Plasma 5 calculator plasmoid.

%files -n plasma5-applet-calculator -f plasma_applet_org.kde.plasma.calculator.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.calculator/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.calculator/*
%{_kde5_services}/plasma-applet-org.kde.plasma.calculator.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-colorpicker
Summary:	Plasma 5 color picker plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-colorpicker
Plasma 5 color picker plasmoid.

%files -n plasma5-applet-colorpicker -f plasma_applet_org.kde.plasma.colorpicker.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/colorpicker/
%{_kde5_qmldir}/org/kde/plasma/private/colorpicker/*
%{_kde5_services}/plasma-applet-org.kde.plasma.colorpicker.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-comic
Summary:	Plasma 5 comic plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-dataengine-comic

%description -n plasma5-applet-comic
Plasma 5 comic plasmoid.

%files -n plasma5-applet-comic -f plasma_applet_org.kde.plasma.comic.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.comic/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.comic/*
%{_kde5_services}/plasma-applet-org.kde.plasma.comic.desktop
%{_kde5_sysconfdir}/xdg/comic.knsrc
%{_qt5_plugindir}/plasma/applets/plasma_applet_comic.so

#----------------------------------------------------------------------------

%package -n plasma5-applet-diskquota
Summary:	Plasma 5 disk quota plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-diskquota
Plasma 5 disk quota plasmoid.

%files -n plasma5-applet-diskquota -f plasma_applet_org.kde.plasma.diskquota.lang
%{_kde5_datadir}/plasma/desktoptheme/default/icons/quota.svg
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.diskquota/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.diskquota/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/diskquota/
%{_kde5_qmldir}/org/kde/plasma/private/diskquota/*
%{_kde5_services}/plasma-applet-org.kde.plasma.diskquota.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-fifteenpuzzle
Summary:	Plasma 5 fifteenpuzzle plasmoid
Group:		Graphical desktop/KDE
# Icon conflict
Conflicts:	plasma-applet-fifteenpuzzle

%description -n plasma5-applet-fifteenpuzzle
Plasma 5 fifteenpuzzle plasmoid.

%files -n plasma5-applet-fifteenpuzzle -f plasma_applet_org.kde.plasma.fifteenpuzzle.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.fifteenpuzzle/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.fifteenpuzzle/*
%{_kde5_iconsdir}/hicolor/scalable/apps/fifteenpuzzle.svgz
%dir %{_kde5_qmldir}/org/kde/plasma/private/fifteenpuzzle/
%{_kde5_qmldir}/org/kde/plasma/private/fifteenpuzzle/*
%{_kde5_services}/plasma-applet-org.kde.plasma.fifteenpuzzle.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-fuzzyclock
Summary:	Plasma 5 fuzzyclock plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-fuzzyclock
Plasma 5 fuzzyclock plasmoid.

%files -n plasma5-applet-fuzzyclock -f plasma_applet_org.kde.plasma.fuzzyclock.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.fuzzyclock/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.fuzzyclock/*
%{_kde5_services}/plasma-applet-org.kde.plasma.fuzzyclock.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-kickerdash
Summary:	Plasma 5 Kicker Dash plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-kickerdash
Plasma 5 Kicker Dash plasmoid.

%files -n plasma5-applet-kickerdash
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.kickerdash/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.kickerdash/*
%{_kde5_services}/plasma-applet-org.kde.plasma.kickerdash.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-konsoleprofiles
Summary:	Plasma 5 Konsole profiles plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-applet-konsoleprofiles

%description -n plasma5-applet-konsoleprofiles
Plasma 5 Konsole profiles plasmoid.

%files -n plasma5-applet-konsoleprofiles
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.konsoleprofiles/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.konsoleprofiles/*
%{_kde5_services}/plasma-applet-org.kde.plasma.konsoleprofiles.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-mediaframe
Summary:	Plasma 5 mediaframe plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-mediaframe
Plasma 5 mediaframe plasmoid.

%files -n plasma5-applet-mediaframe -f plasma_applet_org.kde.plasma.mediaframe.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/mediaframe/
%{_kde5_qmldir}/org/kde/plasma/private/mediaframe/*
%{_kde5_services}/plasma-applet-org.kde.plasma.mediaframe.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-notes
Summary:	Plasma 5 notes plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-notes
Plasma 5 notes plasmoid.

%files -n plasma5-applet-notes -f plasma_applet_org.kde.plasma.notes.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.notes/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.notes/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/notes/
%{_kde5_qmldir}/org/kde/plasma/private/notes/*
%{_kde5_services}/plasma-applet-org.kde.plasma.notes.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-quicklaunch
Summary:	Plasma 5 quicklaunch plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-quicklaunch
Plasma 5 quicklaunch plasmoid.

%files -n plasma5-applet-quicklaunch -f plasma_applet_org.kde.plasma.quicklaunch.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/quicklaunch/
%{_kde5_qmldir}/org/kde/plasma/private/quicklaunch/*
%{_kde5_services}/plasma-applet-org.kde.plasma.quicklaunch.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-quickshare
Summary:	Plasma 5 quickshare plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-quickshare
Plasma 5 quickshare plasmoid.

%files -n plasma5-applet-quickshare -f plasma_applet_org.kde.plasma.quickshare.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/purpose/
%{_kde5_qmldir}/org/kde/plasma/private/purpose/*
%{_kde5_services}/plasma-applet-org.kde.plasma.quickshare.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-showdesktop
Summary:	Plasma 5 showdesktop plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-showdesktop
Plasma 5 showdesktop plasmoid.

%files -n plasma5-applet-showdesktop -f plasma_applet_org.kde.plasma.showdesktop.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.showdesktop/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.showdesktop/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/showdesktop/
%{_kde5_qmldir}/org/kde/plasma/private/showdesktop/*
%{_kde5_services}/plasma-applet-org.kde.plasma.showdesktop.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-systemloadviewer
Summary:	Plasma 5 systemloadviewer plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-systemloadviewer
Plasma 5 systemloadviewer plasmoid.

%files -n plasma5-applet-systemloadviewer -f plasma_applet_org.kde.plasma.systemloadviewer.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemloadviewer/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemloadviewer/*
%{_kde5_services}/plasma-applet-org.kde.plasma.systemloadviewer.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-timer
Summary:	Plasma 5 timer plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-timer
Plasma 5 timer plasmoid.

%files -n plasma5-applet-timer -f plasma_applet_org.kde.plasma.timer.lang
%{_kde5_datadir}/plasma/desktoptheme/default/widgets/timer.*
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.timer/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.timer/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/timer/
%{_kde5_qmldir}/org/kde/plasma/private/timer/*
%{_kde5_services}/plasma-applet-org.kde.plasma.timer.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-userswitcher
Summary:	Plasma 5 users witcher plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-userswitcher
Plasma 5 user switcher plasmoid.

%files -n plasma5-applet-userswitcher -f plasma_applet_org.kde.plasma.userswitcher.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/*
%{_kde5_services}/plasma-applet-org.kde.plasma.userswitcher.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-weather
Summary:	Plasma 5 weather plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-weather
Plasma 5 weather plasmoid.

%files -n plasma5-applet-weather -f plasma_applet_org.kde.plasma.weather.lang
%{_kde5_datadir}/plasma/desktoptheme/default/weather/*
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.weather/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.weather/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/weather/
%{_kde5_qmldir}/org/kde/plasma/private/weather/*
%{_kde5_services}/plasma-applet-org.kde.plasma.weather.desktop
%{_qt5_plugindir}/plasma/applets/plasma_applet_weather.so

#----------------------------------------------------------------------------

%package -n plasma5-applet-webbrowser
Summary:	Plasma 5 webbrowser plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-webbrowser
Plasma 5 webbrowser plasmoid.

%files -n plasma5-applet-webbrowser
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.webbrowser/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.webbrowser/*
%{_kde5_services}/plasma-applet-org.kde.plasma.webbrowser.desktop

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-comic
Summary:	Plasma 5 comic dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-comic
Plasma 5 comic dataengine.

%files -n plasma5-dataengine-comic
%{_kde5_services}/plasma-dataengine-comic.desktop
%{_kde5_servicetypes}/plasma_comicprovider.desktop
%{_qt5_plugindir}/plasma_comic_krossprovider.so
%{_qt5_plugindir}/kpackage/packagestructure/plasma_packagestructure_comic.so
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_comic.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-konsoleprofiles
Summary:	Plasma 5 Konsole profiles dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-konsoleprofiles
Plasma 5 Konsole profiles dataengine.

%files -n plasma5-dataengine-konsoleprofiles
%{_kde5_datadir}/plasma/services/org.kde.plasma.dataengine.konsoleprofiles.operations
%{_kde5_services}/plasma-dataengine-konsoleprofiles.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_konsoleprofiles.so

#----------------------------------------------------------------------------

%package -n plasma5-desktopswitcher-previews
Summary:	Plasma 5 previews desktop switcher
Group:		Graphical desktop/KDE

%description -n plasma5-desktopswitcher-previews
Plasma 5 previews desktop switcher.

%files -n plasma5-desktopswitcher-previews
%dir %{_kde5_datadir}/kwin/desktoptabbox/previews/
%{_kde5_datadir}/kwin/desktoptabbox/previews/*
%{_kde5_services}/kwin/kwin4_desktop_switcher_previews.desktop

#----------------------------------------------------------------------------

%package -n plasma5-runner-audioplayercontrol
Summary:	Plasma 5 audioplayercontrol runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-audioplayercontrol
Plasma 5 audioplayercontrol runner.

%files -n plasma5-runner-audioplayercontrol
%{_kde5_services}/plasma-runner-audioplayercontrol.desktop
%{_kde5_services}/plasma-runner-audioplayercontrol_config.desktop
%{_qt5_plugindir}/kcm_krunner_audioplayercontrol.so
%{_qt5_plugindir}/krunner_audioplayercontrol.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-converter
Summary:	Plasma 5 unit converter runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-converter
Plasma 5 unit converter runner.

%files -n plasma5-runner-converter -f plasma_runner_converterrunner5.lang
%{_kde5_services}/plasma-runner-converter.desktop
%{_qt5_plugindir}/krunner_converter.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-datetime
Summary:	Plasma 5 date and time runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-datetime
Plasma 5 date and time runner.

%files -n plasma5-runner-datetime -f plasma_runner_datetime5.lang
%{_kde5_services}/plasma-runner-datetime.desktop
%{_qt5_plugindir}/krunner_datetime.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-dictionary
Summary:	Plasma 5 dictionary runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-dictionary
Plasma 5 dictionary runner.

%files -n plasma5-runner-dictionary
%{_kde5_services}/plasma-runner-dictionary.desktop
%{_kde5_services}/plasma-runner-dictionary_config.desktop
%{_qt5_plugindir}/kcm_krunner_dictionary.so
%{_qt5_plugindir}/krunner_dictionary.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-spellchecker
Summary:	Plasma 5 spell checker runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-spellchecker
Plasma 5 spell checker runner.

%files -n plasma5-runner-spellchecker -f plasma_runner_spellcheckrunner5.lang
%{_kde5_services}/plasma-runner-spellchecker.desktop
%{_kde5_services}/plasma-runner-spellchecker_config.desktop
%{_qt5_plugindir}/kcm_krunner_spellcheck.so
%{_qt5_plugindir}/krunner_spellcheck.so

#----------------------------------------------------------------------------

%package -n plasma5-windowswitcher-big_icons
Summary:	Plasma 5 big icons window switcher
Group:		Graphical desktop/KDE

%description -n plasma5-windowswitcher-big_icons
Plasma 5 big icons window switcher.

%files -n plasma5-windowswitcher-big_icons
%dir %{_kde5_datadir}/kwin/tabbox/big_icons/
%{_kde5_datadir}/kwin/tabbox/big_icons/*
%{_kde5_services}/kwin/kwin4_window_switcher_big_icons.desktop

#----------------------------------------------------------------------------

%package -n plasma5-windowswitcher-compact
Summary:	Plasma 5 compact window switcher
Group:		Graphical desktop/KDE

%description -n plasma5-windowswitcher-compact
Plasma 5 compact window switcher.

%files -n plasma5-windowswitcher-compact
%dir %{_kde5_datadir}/kwin/tabbox/compact/
%{_kde5_datadir}/kwin/tabbox/compact/*
%{_kde5_services}/kwin/kwin4_window_switcher_compact.desktop

#----------------------------------------------------------------------------

%package -n plasma5-windowswitcher-informative
Summary:	Plasma 5 informative window switcher
Group:		Graphical desktop/KDE

%description -n plasma5-windowswitcher-informative
Plasma 5 informative window switcher.

%files -n plasma5-windowswitcher-informative
%dir %{_kde5_datadir}/kwin/tabbox/informative/
%{_kde5_datadir}/kwin/tabbox/informative/*
%{_kde5_services}/kwin/kwin4_window_switcher_informative.desktop

#----------------------------------------------------------------------------

%package -n plasma5-windowswitcher-present_windows
Summary:	Plasma 5 present windows window switcher
Group:		Graphical desktop/KDE

%description -n plasma5-windowswitcher-present_windows
Plasma 5 present windows window switcher.

%files -n plasma5-windowswitcher-present_windows
%dir %{_kde5_datadir}/kwin/tabbox/present_windows/
%{_kde5_datadir}/kwin/tabbox/present_windows/*
%{_kde5_services}/kwin/kwin4_window_switcher_present_windows.desktop

#----------------------------------------------------------------------------

%package -n plasma5-windowswitcher-small_icons
Summary:	Plasma 5 small icons window switcher
Group:		Graphical desktop/KDE

%description -n plasma5-windowswitcher-small_icons
Plasma 5 small icons window switcher.

%files -n plasma5-windowswitcher-small_icons
%dir %{_kde5_datadir}/kwin/tabbox/small_icons/
%{_kde5_datadir}/kwin/tabbox/small_icons/*
%{_kde5_services}/kwin/kwin4_window_switcher_small_icons.desktop

#----------------------------------------------------------------------------

%package -n plasma5-windowswitcher-text
Summary:	Plasma 5 text window switcher
Group:		Graphical desktop/KDE

%description -n plasma5-windowswitcher-text
Plasma 5 text window switcher.

%files -n plasma5-windowswitcher-text
%dir %{_kde5_datadir}/kwin/tabbox/text/
%{_kde5_datadir}/kwin/tabbox/text/*
%{_kde5_services}/kwin/kwin4_window_switcher_text.desktop

#----------------------------------------------------------------------------

%package -n plasma5-windowswitcher-thumbnails
Summary:	Plasma 5 thumbnails window switcher
Group:		Graphical desktop/KDE

%description -n plasma5-windowswitcher-thumbnails
Plasma 5 thumbnails window switcher.

%files -n plasma5-windowswitcher-thumbnails
%dir %{_kde5_datadir}/kwin/tabbox/thumbnails/
%{_kde5_datadir}/kwin/tabbox/thumbnails/*
%{_kde5_services}/kwin/kwin4_window_switcher_thumbnails.desktop

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-haenau
Summary:	Plasma 5 haenau wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-haenau
Plasma 5 haenau wallpaper.

%files -n plasma5-wallpaper-haenau
%{_kde5_datadir}/plasma/wallpapers/org.kde.haenau
%{_kde5_services}/plasma-wallpaper-org.kde.haenau.desktop

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-hunyango
Summary:	Plasma 5 hunyango wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-hunyango
Plasma 5 hunyango wallpaper.

%files -n plasma5-wallpaper-hunyango
%{_kde5_datadir}/plasma/wallpapers/org.kde.hunyango
%{_kde5_services}/plasma-wallpaper-org.kde.hunyango.desktop

#----------------------------------------------------------------------------

%define plasmacomicprovidercore_major 2
%define libplasmacomicprovidercore %mklibname plasmacomicprovidercore %{plasmacomicprovidercore_major}

%package -n %{libplasmacomicprovidercore}
Summary:	Plasma 5 comic dataengine shared library
Group:		System/Libraries

%description -n %{libplasmacomicprovidercore}
Plasma 5 comic dataengine shared library.

%files -n %{libplasmacomicprovidercore}
%{_kde5_libdir}/libplasmacomicprovidercore.so.%{plasmacomicprovidercore_major}*

#----------------------------------------------------------------------------

%define plasmaweather_major 5
%define libplasmaweather %mklibname plasmaweather %{plasmaweather_major}

%package -n %{libplasmaweather}
Summary:	Plasma 5 weather applet shared library
Group:		System/Libraries

%description -n %{libplasmaweather}
Plasma 5 weather applet shared library.

%files -n %{libplasmaweather}
%{_kde5_libdir}/libplasmaweather.so.%{plasmaweather_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Fix conflicts with KDE4
for oldlang in po/*/libplasmaweather.po po/*/plasma_runner_converterrunner.po po/*/plasma_runner_datetime.po po/*/plasma_runner_spellcheckrunner.po
do
    newlang=`echo $oldlang | sed s,\.po,5\.po,g`
    mv $oldlang $newlang
done

# Drop unused
rm -f po/*/konqprofiles.po
# Not used, TRANSLATION_DOMAIN should be added when ready
rm -f po/*/konsoleprofiles.po
rm -f po/*/lancelot.po
rm -f po/*/liblancelot-datamodels.po
rm -f po/*/libplasma_groupingcontainment.po
rm -f po/*/plasma_applet_binaryclock.po
rm -f po/*/plasma_applet_bookmarks.po
rm -f po/*/plasma_applet_bubblemon.po
rm -f po/*/plasma_applet_CharSelectApplet.po
rm -f po/*/plasma_applet_comic.po
rm -f po/*/plasma_applet_fileWatcher.po
rm -f po/*/plasma_applet_frame.po
rm -f po/*/plasma_applet_groupingpanel.po
rm -f po/*/plasma_applet_incomingmsg.po
rm -f po/*/plasma_applet_knowledgebase.po
rm -f po/*/plasma_applet_kolourpicker.po
rm -f po/*/plasma_applet_leavenote.po
rm -f po/*/plasma_applet_life.po
rm -f po/*/plasma_applet_luna.po
rm -f po/*/plasma_applet_magnifique.po
rm -f po/*/plasma_applet_microblog.po
rm -f po/*/plasma_applet_news.po
rm -f po/*/plasma_applet_plasmaboard.po
rm -f po/*/plasma_applet_previewer.po
rm -f po/*/plasma_applet_qalculate.po
rm -f po/*/plasma_applet_qstardict.po
rm -f po/*/plasma_applet_rssnow.po
rm -f po/*/plasma_applet_showdashboard.po
rm -f po/*/plasma_applet_spellcheck.po
rm -f po/*/plasma_applet_unitconverter.po
rm -f po/*/plasma_applet_weather.po
rm -f po/*/plasma_applet_weatherstation.po
rm -f po/*/plasma_applet_webslice.po
rm -f po/*/plasma_packagestructure_comic.po
rm -f po/*/plasma_runner_browserhistory.po
rm -f po/*/plasma_runner_CharacterRunner.po
rm -f po/*/plasma_runner_contacts.po
rm -f po/*/plasma_runner_events.po
rm -f po/*/plasma_runner_kopete.po
rm -f po/*/plasma_runner_katesessions.po
rm -f po/*/plasma_runner_konquerorsessions.po
rm -f po/*/plasma_runner_konsolesessions.po
# Not used, TRANSLATION_DOMAIN should be added when ready
rm -f po/*/plasma_runner_audioplayercontrol.po
# Not used, TRANSLATION_DOMAIN should be added when ready
rm -f po/*/plasma_runner_krunner_dictionary.po
rm -f po/*/plasma_runner_mediawiki.po
rm -f po/*/plasma_runner_translator.po
rm -f po/*/plasma_runner_youtube.po

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang plasma_applet_org.kde.plasma.activitypager
%find_lang plasma_applet_org.kde.plasma.calculator
%find_lang plasma_applet_org.kde.plasma.colorpicker
%find_lang plasma_applet_org.kde.plasma.comic
%find_lang plasma_applet_org.kde.plasma.diskquota
%find_lang plasma_applet_org.kde.plasma.fifteenpuzzle
%find_lang plasma_applet_org.kde.plasma.fuzzyclock
%find_lang plasma_applet_org.kde.plasma.mediaframe
%find_lang plasma_applet_org.kde.plasma.notes
%find_lang plasma_applet_org.kde.plasma.quicklaunch
%find_lang plasma_applet_org.kde.plasma.quickshare
%find_lang plasma_applet_org.kde.plasma.showdesktop
%find_lang plasma_applet_org.kde.plasma.systemloadviewer
%find_lang plasma_applet_org.kde.plasma.timer
%find_lang plasma_applet_org.kde.plasma.userswitcher
%find_lang libplasmaweather5 plasma_applet_org.kde.plasma.weather plasma_applet_org.kde.plasma.weather.lang
#%find_lang plasma_engine_konsoleprofiles
%find_lang plasma_runner_converterrunner5
%find_lang plasma_runner_datetime5
%find_lang plasma_runner_spellcheckrunner5


%changelog

* Fri Jul 22 2016 valerol <valerol@ya.ru> 5.7.2-1
- (c2e29c7) Re-diff rename-translations patch
- (c2e29c7) Drop duplicate l10n patch
- (valerol: 9a6702e) Update Russian translation
- (valerol: 56a07d8) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (6154fd2) New version 5.6.5

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (bbbc0cb) Specify version for Plasma 5 BuildRequires
- (Andrey Bondrov: 5716b66) New version 5.6.3

* Thu Apr 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (b630bf5) MassBuild#1030: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (2b21fc6) Build no longer requires pkgconfig(ibus-1.0)
- (Andrey Bondrov: c2cfdf3) Add i18n patch
- (Andrey Bondrov: 97133a3) Properly apply translations patch after previous commit
- (Andrey Bondrov: 95ad2e1) Install libplasmaweather translations
- (Andrey Bondrov: df5002c) Add new subpackage plasma5-applet-weather
- (Andrey Bondrov: 53a5e5f) Add new subpackage plasma5-applet-mediaframe
- (Andrey Bondrov: de01acd) Add libplasmaweather subpackage
- (Andrey Bondrov: 84c39aa) Drop plasma5-applet-kimpanel and plasma5-dataengine-kimpanel subpackages (moved to plasma5-desktop)
- (Andrey Bondrov: c0f9720) Add patch to change version of plasmaweather library as it was 4 for KDE4 package
- (Andrey Bondrov: 7887abc) Build requires plasma5-workspace-devel
- (Andrey Bondrov: d42ab45) Drop showdesktop-size patch (fixed upstream)
- (Andrey Bondrov: ee47724) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-3
- (df54e97) Fix showdesktop plasmoid icon size on panel with Qt 5.6 (backport patch from 5.6.1)

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (f2f345b) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (5c7feb9) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (4f128bc) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (551caca) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (a12e7f3) Quickshare applet requires kf5purpose-devel to build
- (Andrey Bondrov: a3b3053) Make plasma5-applet-quicklaunch required package
- (Andrey Bondrov: 74b3286) Add plasma5-applet-activitypager
- (Andrey Bondrov: 13b235a) Add plasma5-applet-colorpicker
- (Andrey Bondrov: 7f49549) Add plasma5-applet-diskquota
- (Andrey Bondrov: ef3f474) Add QML files to quickshare applet package


